## org.eclipse.uml2.uml.util
Class UMLUtil.ProfileApplicationHelper

    java.lang.Object
      org.eclipse.uml2.uml.util.UMLUtil.ProfileApplicationHelper

Enclosing class:
  UMLUtil

    public static class UMLUtil.ProfileApplicationHelper

extends java.lang.Object

The ProfileApplicationHelper can be overridden to change the way packages are traversed when looking for profile applications relevant to an element in a given package.

Since:
  3.0

Field Summary
`static UMLUtil.ProfileApplicationHelper` `INSTANCE`

Constructor Summary
`UMLUtil.ProfileApplicationHelper()`

Method Summary
`java.lang.Iterable<Package>` `getOtherApplyingPackages(Package package_)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final UMLUtil.ProfileApplicationHelper INSTANCE

Constructor Detail

### UMLUtil.ProfileApplicationHelper

    public UMLUtil.ProfileApplicationHelper()

Method Detail

### getOtherApplyingPackages

    public java.lang.Iterable<Package> getOtherApplyingPackages(Package package_)

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.